function VARbs = proxyVARbootstrap(VAR)

nboot = VAR.nboot;
clevel = VAR.clevel;

% Wild Bootstrap
jj=1;
res = detrend(VAR.res,'constant'); % demean

while jj<nboot+1
    %T x 1 -1 or 1 random numbers with prob 0.5-0.5
    rr = 1-2*(rand(VAR.T,1)>0.5);
    % random variable taking on values of -1 or 1 with probability 0.5
    
    resb = (res.*(rr*ones(1,VAR.n)))';
    
    varsb = zeros(VAR.p+VAR.T,VAR.n);
    % Initial values
    varsb(1:VAR.p,:)=VAR.vars(1:VAR.p,:);
    for j=VAR.p+1:VAR.p+VAR.T
        lvars = (varsb(j-1:-1:j-VAR.p,:))';
        %varsb(j,:) = lvars(:)'*VAR.bet(1:VAR.p*VAR.n,:)+VAR.bet(VAR.p*VAR.n+1:end,:)+resb(:,j-VAR.p)';
        switch VAR.const
            case 0 % no constant
                varsb(j,:) = lvars(:)'*VAR.bet(1:VAR.p*VAR.n,:)+resb(:,j-VAR.p)';
            case 1 % constant
                varsb(j,:) = lvars(:)'*VAR.bet(1:VAR.p*VAR.n,:)+ VAR.bet(VAR.p*VAR.n+1,:)+resb(:,j-VAR.p)';
            case 2 % constant + time trend
                varsb(j,:) = lvars(:)'*VAR.bet(1:VAR.p*VAR.n,:)+ VAR.bet(VAR.p*VAR.n+1,:) + VAR.bet(end,:)*j + resb(:,j-VAR.p)';
        end
    end
    
    VARBS = VAR;
    VARBS.vars = varsb;
    
    %VARBS.proxies = [VAR.proxies(1:VAR.p,:); VAR.m.*(rr*ones(1,VAR.k))];
    VARBS.proxies = [VAR.proxies(1:VAR.p,:); VAR.m.*(rr(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,1)*ones(1,size(VAR.proxies,2)))];
    VARBS.proxies = [VAR.m.*(rr(VAR.T-VAR.T_m-VAR.T_m_end+1:VAR.T-VAR.T_m_end,1)*ones(1,size(VAR.proxies,2)))];
    
    VARBS = proxyVAR(VARBS);
    
    for j=1:VAR.k;
        irs = VARBS.irs(:,:,j);
        VARbs.irs(:,jj,j) = irs(:);
    end
    
    jj=jj+1;
    
end

for j=1:VAR.k
    VARbs.irsH(:,:,j)=reshape(quantile(VARbs.irs(:,:,j)',(1-clevel/100)/2),VAR.irhor,size(VARBS.irs,2));
    VARbs.irsL(:,:,j)=reshape(quantile(VARbs.irs(:,:,j)',1-(1-clevel/100)/2),VAR.irhor,size(VARBS.irs,2));
    VARbs.irsMED(:,:,j) = reshape(quantile(VARbs.irs(:,:,j)',.5),VAR.irhor,size(VARBS.irs,2));
end
2;




