
%% Figure 2
clear; clc;

% Load the data
% change in OIS on RBI announcement days
load fig2data;
%writetimetable(fig2data, 'fig2data.csv');


gfc_start = find(fig2data.Time >=  datetime(2007,1,1));
gfc_last =  find(fig2data.Time >   datetime(2009,12,31));

gfcsind = gfc_start(1);
gfclind = gfc_last(1);

YY = [-1.75 -1.75 1.5 1.5];
XX = [gfcsind gfclind gfclind gfcsind];
Ylims = NaN(2,5);
Ylims(:,1) = [-1.75 1.5];
Ylims(:,2:5) = [-.75 -.35 -.5 -.25; .75 .45 .5 .5];

date_vec = datevec(fig2data.Time);
date_label = date_vec(1:25:length(date_vec),1);

doisnames = {'dOIS1mbb','dOIS3mbb','dOIS6mbb','dOIS9mbb','dOIS1ybb'};
oislab = {'OIS1m','OIS3m','OIS6m','OIS9m','OIS1y'};
figure;
for jj = 1:5
subplot(3,2,jj)
p = patch(XX,YY,[.9 .9 .9],'EdgeColor','white'); hold on;
set(gca, 'Layer', 'top')
b = bar(fig2data{:,doisnames{jj}},.9); % fig2data.Time
set(b,'EdgeColor','black');
set(gca,'XTick',1:25:length(date_vec),'XTickLabel',date_label,'FontSize',12);    
%ylim(YY([1 3]));
ylim(Ylims(:,jj)');
title(oislab{jj});
legend(p,'Global Financial Crisis')
end