%% Figure 4
clear; clc;
addpath('aux_files');

%% Load the data

load figa2data 
%load('..\Data\macro\macrodata.mat');
%writetimetable(allmacrodata, 'figa2adata.csv');

%% Choose the VAR specification
VAR.p = 12; % number of lags in VAR
VAR.const = 1; % 0 for no const, 1 for const, 2 for const + time trend
VAR.irhor = 24; % # of periods for impulse responses
VAR.spec = 'unit'; %'unit' or 'std'; % Size of impact shock
VAR.clevel = 90;
VAR.nboot = 1000;
VAR.k = 1; % one shock at a time

%% Choose the sample dates
start = datetime(2003,9,1); % note that p dates from this date will be dropped from effective sample
finish = datetime(2020,12,31);
effsample = timerange(start,finish,'closed'); % closed: use both start and finish
alldataeff = allmacrodata(effsample,:); 
%--------------------------------------------------------------------------

%% Chose the transformation for the specific variables

% 0: level (i.e. no transformation)
% 1: log

%                  1           2        3              4        5     6    7      8     9     10      11     12       13          14       15  
macrolist =  {'OIS1m_avg','OIS3m_avg','OIS1y_avg','OIS3m_eom','OIS1y_eom','iip','cpi','inr','food','energy','com','10yri_avg','Nifty_avg','vix','OIS2y_avg'};
macrotrans = [     0          0           0         0              0       1     1     1     1       1        1        0          1         1      0  ];
  
%% Run the proxy SVAR

vars = {'iip','cpi','OIS1y_avg','inr'}; %
%vars = {'OIS1y_avg','iip','cpi','inr','10yri_avg','Nifty_avg'};
%vars = {'10yri_avg','iip','cpi','com','inr','Nifty_avg'}; %'food','energy'
%vars = {'OIS1m_avg','iip','cpi','inr','vix'}; %,'10yri_avg'}; %'food','energy'
%vars = {'OIS1y_avg','iip','cpi','com'};%'Nifty_avg'}; %'food','energy'
%vars = {'OIS2y_avg','iip','cpi','com','inr','Nifty_avg','10yri_avg'}; %'food','energy'
%vars = {'10yri_avg','iip','cpi','inr'}; %'food','energy'


[~,tmp] = ismember(vars,macrolist);
transform_ind = macrotrans(tmp);

VAR.vars = transform_data(alldataeff{:,vars},transform_ind);

%proxy = {'pc'};
%proxy = {'TargetFactor'};
%proxy = {'PathFactor'};
%proxy = {'dOIS6mbb'};


%VAR.proxies = alldataeff{:,proxy};
%VAR.T_m_end = 0;

VAR.pos.relshock = 3;
VAR = cholVAR(VAR);
%VAR.F_m_rob

% Plot the irfs
VARopt.shock_names = vars(VAR.pos.relshock);
VARopt.vnames = vars;
%VARopt.vnames = {'1yOIS','IIP','CPI','INR\USD','10y yield','Nifty'};
VARopt.vnames = {'IIP','CPI','1yOIS','INR\USD'};
%VARopt.vnames = {'1yOIS','IIP','CPI','INR\USD','VIX'};

%VARbs = proxyVARbootstrap(VAR);
VARbs = cholVARbootstrap(VAR);


VAR_irplot(VAR.irs,VARopt,VARbs.irsH,VARbs.irsL);