%% Table 7
clear; clc;
addpath('aux_files');

%% Load the data
load tab7data 
%writetimetable(tab7data, 'tab7data.csv');


% Bond yields
d5yri = tab7data.d5yri; % Bond yields
d10yri = tab7data.d10yri;
nifty = tab7data.nifty_ret; % stock
inr = tab7data.curr_ret; % usd/inr
tf = tab7data.TargetFactor;
pf = tab7data.PathFactor;


% 5 year on only target factor
[regtf_5y,~,~,opttf_5y.pval,opttf_5y.tstat] = olsrob_nodisp(table(tf,d5yri));
tabtf_5y = outreg2(regtf_5y,opttf_5y);

% 5 year on target and path factor
[regtfpf_5y,~,~,opttfpf_5y.pval,opttfpf_5y.tstat] = olsrob_nodisp(table(tf,pf,d5yri));
tabtfpf_5y = outreg2(regtfpf_5y,opttfpf_5y);

% 10 year on only target factor
[regtf_10y,~,~,opttf_10y.pval,opttf_10y.tstat] = olsrob_nodisp(table(tf,d10yri));
tabtf_10y = outreg2(regtf_10y,opttf_10y); 

% 10 year on target and path factor
[regtfpf_10y,~,~,opttfpf_10y.pval,opttfpf_10y.tstat] = olsrob_nodisp(table(tf,pf,d10yri));
tabtfpf_10y = outreg2(regtfpf_10y,opttfpf_10y);    

% Nifty on only target factor
[regtf_nifty,~,~,opttf_nifty.pval,opttf_nifty.tstat] = olsrob_nodisp(table(tf,nifty));
tabtf_nifty = outreg2(regtf_nifty,opttf_nifty);

% Nifty on target and path factor
[regtfpf_nifty,~,~,opttfpf_nifty.pval,opttfpf_nifty.tstat] = olsrob_nodisp(table(tf,pf,nifty));
tabtfpf_nifty = outreg2(regtfpf_nifty,opttfpf_nifty);

% inr  on only target factor 
[regtf_inr,~,~,~,opttf_inr.tstat] = olsrob_nodisp(table(tf,inr));
tabtf_inr = outreg2(regtf_inr,opttf_inr);

% inr  on target and path factor
[regtfpf_inr,~,~,~,opttfpf_inr.tstat] = olsrob_nodisp(table(tf,pf,inr));
tabtfpf_inr = outreg2(regtfpf_inr,opttfpf_inr);

table7 = NaN(9,8);
table7(:,2:2:8) = [tabtfpf_5y tabtfpf_10y tabtfpf_nifty tabtfpf_inr];
table7(1:2,1:2:7) = [tabtf_5y(1:2) tabtf_10y(1:2) tabtf_nifty(1:2) tabtf_inr(1:2)];
table7(5:end,1:2:7) =  [tabtf_5y(3:end) tabtf_10y(3:end) tabtf_nifty(3:end) tabtf_inr(3:end)]
