%% Table A.3
clear; clc;
addpath('aux_files');

%% Load the data
load taba3data 
%writetimetable(taba3data, 'taba3data.csv');

btf = taba3data.bondtarget;
bpf = taba3data.bondpath;

nifty = taba3data.nifty_ret; % stock
inr = taba3data.curr_ret;
d5yri = taba3data.d5yri;
d10yri = taba3data.d10yri;

ss = 1;

% 5 year on only target factor
[regbtf_5y,~,~,~,optbtf_5y.tstat] = olsrob_nodisp(table(btf,d5yri));
tabbtf_5y(:,ss) = outreg2(regbtf_5y,optbtf_5y);

% 5 year on target factor and path factor
[regbtfbpf_5y,~,~,~,opt3mtbipf_5y.tstat] = olsrob_nodisp(table(btf,bpf,d5yri));
tabbtfbpf_5y(:,ss) = outreg2(regbtfbpf_5y,opt3mtbipf_5y);

% 10 year on only target factor
[regbtf_10y,~,~,~,optbtf_10y.tstat] = olsrob_nodisp(table(btf,d10yri));
tabbtf_10y(:,ss) = outreg2(regbtf_10y,optbtf_10y);

% 10 year on target factor and path factor
[regbtfbpf_10y,~,~,~,optbtfbpf_10y.tstat] = olsrob_nodisp(table(btf,bpf,d10yri));
tabbtfbpf_10y(:,ss) = outreg2(regbtfbpf_10y,optbtfbpf_10y);

% nifty on only target factor
[regbtf_nifty,~,~,~,optbtf_nifty.tstat] = olsrob_nodisp(table(btf,nifty));
tabbtf_nifty(:,ss) = outreg2(regbtf_nifty,optbtf_nifty);

% nifty on target factor and path factor
[regbtfbpf_nifty,~,~,~,optbtfbpf_nifty.tstat] = olsrob_nodisp(table(btf,bpf,nifty));
tabbtfbpf_nifty(:,ss) = outreg2(regbtfbpf_nifty,optbtfbpf_nifty);

% inr on only target factor
[regbtf_inr,~,~,~,optbtf_inr.tstat] = olsrob_nodisp(table(btf,inr));
tabbtf_inr(:,ss) = outreg2(regbtf_inr,optbtf_inr);

% inr on target factor and path factor
[regbtfbpf_inr,~,~,~,optbtfbpf_inr.tstat] = olsrob_nodisp(table(btf,bpf,inr));
tabbtfbpf_inr(:,ss) = outreg2(regbtfbpf_inr,optbtfbpf_inr);

tab_btfbpf = NaN(9,8);
tab_btfbpf(:,2:2:8) = [tabbtfbpf_5y tabbtfbpf_10y tabbtfbpf_nifty tabbtfbpf_inr];
tab_btfbpf(1:2,1:2:7) = [tabbtf_5y(1:2) tabbtf_10y(1:2) tabbtf_nifty(1:2) tabbtf_inr(1:2)];
tab_btfbpf(5:end,1:2:7) =  [tabbtf_5y(3:end) tabbtf_10y(3:end) tabbtf_nifty(3:end) tabbtf_inr(3:end)]

